﻿using Infragistics.Windows.DockManager;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamDockManagerPaneSelection
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        bool broke = false;
        private void XamDockManager_ToolWindowLoaded(object sender, Infragistics.Windows.DockManager.Events.PaneToolWindowEventArgs e)
        {
            e.Window.UseOSNonClientArea = false;            
            SplitPane pane = e.Window.Pane;

            Dispatcher.BeginInvoke(new Action(() =>
            {
                broke = false;

                foreach (var x in pane.Panes)
                {
                    if (x is CustomContentPane && ((x as CustomContentPane).IsSelected))
                    {
                        broke = true;
                        break;
                    }
                }

                if (broke)
                {
                    SolidColorBrush selectedBrush = App.Current.Resources["SelectionBrush"] as SolidColorBrush;
                    DockHelper.ColorToolWindow(e.Window, selectedBrush, selectedBrush);
                }
            }));
        }
    }
}
